Limerence
Data sources

Get Data Source Tables

Get the list of tables for a data source

GET
/data-sources/{id}/tables

Get the list of tables for a data source

Authorization

X-API-Key<token>

Use X-API-Key: .

In: header

Path Parameters

id*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/data-sources/string/tables"
{  "tables": [    {      "name": "string",      "rowCount": 0    }  ]}
{  "cause": {    "code": "api/invalid-json",    "detail": "string"  },  "message": "The request body is not valid JSON"}
{  "cause": {    "code": "auth/jwt-invalid",    "detail": "malformed"  },  "message": "Token verification failed"}
{  "cause": {    "code": "api/no-active-team",    "detail": "You must have an active team. Please select a team to continue."  },  "message": "No active team"}
{  "cause": {    "code": "data-sources/not-found",    "detail": "string"  },  "message": "Data source not found"}
{  "cause": {    "code": "api/unsupported-media-type",    "detail": "GET requests cannot have a content type header"  },  "message": "Unsupported Media Type"}